Module javafx.base
Package javafx.beans.value

# Interface WritableBooleanValue

All Superinterfaces:
  `WritableValue<Boolean>`

All Known Implementing Classes:
  `BooleanProperty`, `BooleanPropertyBase`, `JavaBeanBooleanProperty`, `ReadOnlyBooleanWrapper`, `SimpleBooleanProperty`, `SimpleStyleableBooleanProperty`, `StyleableBooleanProperty`

public interface WritableBooleanValue extends WritableValue<Boolean>
A writable boolean value.

Since:
  JavaFX 2.0
See Also:
  - `WritableValue`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`get()`
Get the wrapped value.
`void`
`set(boolean value)`
Set the wrapped value.
`void`
`setValue(Boolean value)`
Set the wrapped value.

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

## Method Details

### get

boolean get()
Get the wrapped value. Unlike `WritableValue.getValue()`, this method returns primitive boolean. Needs to be identical to `WritableValue.getValue()`.

Returns:
  The current value

### set

void set(boolean value)
Set the wrapped value. Unlike `setValue(java.lang.Boolean)`, this method uses primitive boolean.

Parameters:
  `value` - The new value

### setValue

void setValue(Boolean value)
Set the wrapped value.

Note: this method should accept null without throwing an exception, setting "false" instead.

Specified by:
  `setValue` in interface `WritableValue<Boolean>`
Parameters:
  `value` - The new value